[Bug 1045926] Re: python-minimal dependency blocks LTS upgrade from lucid to precise

Bill Hammond gellmu at gmail.com
Thu Sep 6 01:34:56 UTC 2012


The dependency glitch cited in the description is a problem for the
program do-release-upgrade that is part of update-manager-core.


** Package changed: util-linux (Ubuntu) => update-manager-core (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to update-manager-core in Ubuntu.
https://bugs.launchpad.net/bugs/1045926

Title:
  python-minimal dependency blocks LTS upgrade from lucid to precise

Status in “update-manager-core” package in Ubuntu:
  New

Bug description:
  python-minimal is an essential package.  In "precise" python-minimal
  is version 2.7.3, which has dependencies:  python2.7-minimal (>=
  2.7.3), dpkg (>= 1.13.20).  The package python2.7-minimal in "precise"
  is version 2.7.3 (and it also appears in precise-updates).
  python2.7-minimal has dependencies: libc6 (>= 2.15), libgcc1 (>=
  1:4.1.1), libssl1.0.0 (>= 1.0.0), zlib1g (>= 1:1.2.0), python-minimal
  (>= 2.6.6-3+squeeze1).  The python-minimal dependency cannot be met
  from a fully updated "lucid" where the version of python-minimal is
  2.6.5-0ubuntu1.

  Furthermore:

  1. Ubuntu release: 10.04.4LTS partially upgraded to 12.04, presently
  stuck in between due to multiple failures in the post first-point-
  release upgrade action triggered with update manager.

  2. Package version: see above.  apt-cache policy outputs for 3 packages:
  python-minimal:
    Installed: 2.6.5-0ubuntu1
    Candidate: 2.7.3-0ubuntu2
    Version table:
       2.7.3-0ubuntu2 0
          500 http://us.archive.ubuntu.com/ubuntu/ precise/main Packages
   *** 2.6.5-0ubuntu1 0
          100 /var/lib/dpkg/status
  python2.6-minimal:
    Installed: 2.6.5-1ubuntu6
    Candidate: 2.6.5-1ubuntu6
    Version table:
   *** 2.6.5-1ubuntu6 0
          100 /var/lib/dpkg/status
  python2.7-minimal:
    Installed: 2.7.3-0ubuntu3.1
    Candidate: 2.7.3-0ubuntu3.1
    Version table:
   *** 2.7.3-0ubuntu3.1 0
          500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main Packages
          100 /var/lib/dpkg/status
       2.7.3-0ubuntu3 0
          500 http://us.archive.ubuntu.com/ubuntu/ precise/main Packages

  N.B. aptitude reports the state of python2.7-minimal as "unpacked".

  3. What expected to happen: N/A

  4. What happened: N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/update-manager-core/+bug/1045926/+subscriptions




More information about the foundations-bugs mailing list